Segmentation fault after recent update of Ubuntu 22.04

After a resent update of ubuntu

$ cat /var/log/apt/history.log
...
Start-Date: 2024-02-20  18:50:20
Commandline: aptdaemon role='role-commit-packages' sender=':1.236'
Upgrade: libglx-mesa0:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2)
, libglx-mesa0:i386 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), mesa-c
ommon-dev:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libosmesa6
-dev:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libgbm1:amd64 (
23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libgbm1:i386 (23.0.4-0ubunt
u1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libgbm-dev:amd64 (23.0.4-0ubuntu1~22.04.
1, 23.2.1-1ubuntu3.1~22.04.2), node-ip:amd64 (1.1.5+~1.1.0-1, 1.1.5+~1.1.0-1ubuntu0.1~esm1), language-pack-gnome-en-base:amd64 (1:22.04+20230801, 1:22.04+20240212), libxatracker2:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), mesa-va-drivers:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), mesa-va-drivers:i386 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libgl1-mesa-dev:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libgl1-mesa-dri:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libgl1-mesa-dri:i386 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libosmesa6:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libosmesa6:i386 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libegl1-mesa-dev:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), mesa-vulkan-drivers:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), mesa-vulkan-drivers:i386 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libglapi-mesa:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libglapi-mesa:i386 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), language-pack-gnome-en:amd64 (1:22.04+20230801, 1:22.04+20240212), unzip:amd64 (6.0-26ubuntu3.1, 6.0-26ubuntu3.2), libegl-mesa0:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), libegl-mesa0:i386 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2), mesa-vdpau-drivers:amd64 (23.0.4-0ubuntu1~22.04.1, 23.2.1-1ubuntu3.1~22.04.2)
End-Date: 2024-02-20  18:50:27

paraview (from official packages or the one shiped with OpenFoam.org) is not booting anymore.

Mesa warning: failed to remap glCompressedTexImage1D
Mesa warning: failed to remap glCompressedTexImage2D
Mesa warning: failed to remap glCompressedTexImage3D
...
Mesa warning: failed to remap glSecondaryColor3hNV
Mesa warning: failed to remap glSecondaryColor3hvNV
Mesa: User error: GL_INVALID_OPERATION in unsupported function called (unsupported extension or deprecated function?)

Loguru caught a signal: SIGSEGV
Stack trace:
32      0x55c50bc1e33e paraview(+0x933e) [0x55c50bc1e33e]
31      0x7f80171f8e40 __libc_start_main + 128
30      0x7f80171f8d90 /lib/x86_64-linux-gnu/libc.so.6(+0x29d90) [0x7f80171f8d90]
29      0x55c50bc1e005 paraview(+0x9005) [0x55c50bc1e005]
28      0x55c50bc23b0d paraview(+0xeb0d) [0x55c50bc23b0d]
27      0x55c50bc1f1ed paraview(+0xa1ed) [0x55c50bc1f1ed]
26      0x7f801705dda0 pqParaViewBehaviors::pqParaViewBehaviors(QMainWindow*, QObject*) + 2448
25      0x7f8016fad082 pqAlwaysConnectedBehavior::pqAlwaysConnectedBehavior(QObject*) + 322
24      0x7f8016facf14 pqAlwaysConnectedBehavior::serverCheck() + 196
23      0x7f80162c2dca pqObjectBuilder::createServer(pqServerResource const&, int) + 474
22      0x7f801525b7b6 vtkSMSession::ConnectToSelf(int) + 38
21      0x7f80144901fd vtkProcessModule::RegisterSession(vtkSession*) + 141
20      0x7f8012178862 /opt/paraviewopenfoam510/lib/libvtkCommonCore-pv5.10.so.1(+0x4fc862) [0x7f8012178862]
19      0x7f801205c84d vtkCallbackCommand::Execute(vtkObject*, unsigned long, void*) + 29
18      0x7f80153d3bd8 /opt/paraviewopenfoam510/lib/libvtkGUISupportQt-pv5.10.so.1(+0x3dbd8) [0x7f80153d3bd8]
17      0x7f80153c0871 /opt/paraviewopenfoam510/lib/libvtkGUISupportQt-pv5.10.so.1(+0x2a871) [0x7f80153c0871]
16      0x7f801576e7c8 /lib/x86_64-linux-gnu/libQt5Core.so.5(+0x2f17c8) [0x7f801576e7c8]
15      0x7f801622b637 /opt/paraviewopenfoam510/lib/libpqCore-pv5.10.so.1(+0x98637) [0x7f801622b637]
14      0x7f8016225e26 pqServerManagerObserver::connectionCreated(long long) + 70
13      0x7f801576e7c8 /lib/x86_64-linux-gnu/libQt5Core.so.5(+0x2f17c8) [0x7f801576e7c8]
12      0x7f8016316366 pqServerManagerModel::onConnectionCreated(long long) + 742
11      0x7f80162244b6 pqServerManagerModel::serverAdded(pqServer*) + 70
10      0x7f801576e7c8 /lib/x86_64-linux-gnu/libQt5Core.so.5(+0x2f17c8) [0x7f801576e7c8]
9       0x7f801701b3b6 pqDefaultViewBehavior::onServerCreation(pqServer*) + 86
8       0x7f8015162e99 vtkPVSessionCore::GatherInformation(unsigned int, vtkPVInformation*, unsigned int) + 377
7       0x7f8015162b7a vtkPVSessionCore::GatherInformationInternal(vtkPVInformation*, unsigned int) + 58
6       0x7f800b83821d vtkPVRenderingCapabilitiesInformation::CopyFromObject(vtkObject*) + 13
5       0x7f800b8381e3 vtkPVRenderingCapabilitiesInformation::GetLocalCapabilities() + 339
4       0x7f80148feb55 vtkOpenGLRenderWindow::SupportsOpenGL() + 1013
3       0x7f80149035c5 vtkOpenGLRenderWindow::OpenGLInit() + 133
2       0x7f8014612a1b vtkglew_glewInit + 619
1       0x7f8014603338 /opt/paraviewopenfoam510/lib/libvtkglew-pv5.10.so.1(+0x5c338) [0x7f8014603338]
0       0x7f8017211520 /lib/x86_64-linux-gnu/libc.so.6(+0x42520) [0x7f8017211520]
(   1.504s) [paraview        ]                       :0     FATL| Signal: SIGSEGV
Segmentation fault (core dumped)

I guess this is just a change in the SONAME or something like that.
Can anybody give me a hand on how to fix this?

$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 22.04.4 LTS
Release:	22.04
Codename:	jammy

repost from drivers - paraView wont boot after latest updates - Ask Ubuntu

are you using the latest ParaView binary release from https://paraview.org/download ?

Thank you for your answer.
No, I am using the version available from the official Ubuntu repositories, or paraview shipped with OpenFOAM (.org)

Please try with the official binary and see if that fixes your issue.

I faced the same problem after updating my Ubuntu22.

As you mentioned, I uninstalled paraviewopenfoam510 and then installed ParaView 5.12.0-RC3. Now it works well.
Thanks

1 Like

i had similar problem with openfoam, seems like the openGL doesnt works.
not sure what and how but you can run the normal paraview but removing the env:

ParaView_GL="" paraFoam
2 Likes

Yes, this actually fixes the issue

5.12 RC3 also works, but the solution with the ENV variable is better suited for our needs currently.

3 posts were split to a new topic: ParaView cannot connect ?

A post was split to a new topic: ParaView segfault

I just signed up to give some love to this answer :slight_smile:

Where should this sentence be written?

@oguzhankoral @Pal there is no answer here and the problem is not very clear. Please open your own topic if you have issues you need help with.